org.eclipse.viatra.query.patternlanguage.emf.vql

## Interface ParameterRef

- All Superinterfaces:
    org.eclipse.emf.ecore.EObject, Expression, org.eclipse.emf.common.notify.Notifier, Variable
  All Known Implementing Classes:
    ParameterRefImpl

      public interface ParameterRef
      extends Variable

  A representation of the model object 'Parameter Ref'.

  The following features are supported:

  - `Referred Param`
  See Also:
    `PatternLanguagePackage.getParameterRef()`
  Generated:
  Model:

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `Variable` | `getReferredParam()` Returns the value of the 'Referred Param' reference.
    `void` | `setReferredParam(Variable value)` Sets the value of the '`Referred Param`' reference.
    `java.lang.String` | `toString()`

    - ### Methods inherited from interface org.eclipse.viatra.query.patternlanguage.emf.vql.Variable

      `getName, getType, setName, setType`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Method Detail

    - #### getReferredParam

          Variable getReferredParam()

      Returns the value of the 'Referred Param' reference.

      If the meaning of the 'Referred Param' reference isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Referred Param' reference.
      See Also:
        `setReferredParam(Variable)`, `PatternLanguagePackage.getParameterRef_ReferredParam()`
      Generated:
      Model:
        transient="true"

    - #### setReferredParam

          void setReferredParam(Variable value)

      Sets the value of the '`Referred Param`' reference.
      Parameters:
        `value` - the new value of the 'Referred Param' reference.
      See Also:
        `getReferredParam()`
      Generated:

    - #### toString

          java.lang.String toString()

      Specified by:
        `toString` in interface `Expression`
      Specified by:
        `toString` in interface `Variable`
      Overrides:
        `toString` in class `java.lang.Object`
      Generated:
      Model:
        annotation="http://www.eclipse.org/emf/2002/GenModel body='return org.eclipse.viatra.query.patternlanguage.emf.util.ASTStringProvider.INSTANCE.doSwitch(this);'"